## org.gnu.gtk
Class ToggleAction

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.Action
              org.gnu.gtk.ToggleAction

Direct Known Subclasses:
  RadioAction

public class ToggleAction
extends Action

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`ToggleAction(Handle handle)`
`ToggleAction(java.lang.String name, java.lang.String label, java.lang.String tooltip, java.lang.String stockId)`

Method Summary
`boolean` `getActive()`
`boolean` `getDrawAsRadio()`
`protected static boolean` `gtk_toggle_action_get_active(Handle action)`
`protected static boolean` `gtk_toggle_action_get_draw_as_radio(Handle action)`
`protected static int` `gtk_toggle_action_get_type()`
`protected static Handle` `gtk_toggle_action_new(java.lang.String name, java.lang.String label, java.lang.String tooltip, java.lang.String stockId)`
`protected static void` `gtk_toggle_action_set_active(Handle action, boolean isActive)`
`protected static void` `gtk_toggle_action_set_draw_as_radio(Handle action, boolean radio)`
`protected static void` `gtk_toggle_action_toggled(Handle action)`
`void` `setActive(boolean active)`
`void` `setDrawAsRadio(boolean drawAsRadio)`

Methods inherited from class org.gnu.gtk.Action

`activate, connectAccelerator, connectProxy, createIcon, createMenuItem, createToolItem, disconnectAccelerator, disconnectProxy, getAcceleratorPath, getName, getProxies, getType, gtk_action_activate, gtk_action_connect_accelerator, gtk_action_connect_proxy, gtk_action_create_icon, gtk_action_create_menu_item, gtk_action_create_tool_item, gtk_action_disconnect_accelerator, gtk_action_disconnect_proxy, gtk_action_get_accel_path, gtk_action_get_name, gtk_action_get_proxies, gtk_action_get_sensitive, gtk_action_get_type, gtk_action_get_visible, gtk_action_is_sensitive, gtk_action_is_visible, gtk_action_new, gtk_action_set_sensitive, gtk_action_set_visible, isSensitive, isVisible, setSensitive, setVisible`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToggleAction

    public ToggleAction(java.lang.String name,
                        java.lang.String label,
                        java.lang.String tooltip,
                        java.lang.String stockId)

### ToggleAction

    public ToggleAction(Handle handle)

Method Detail

### setActive

    public void setActive(boolean active)

### getActive

    public boolean getActive()

### setDrawAsRadio

    public void setDrawAsRadio(boolean drawAsRadio)

### getDrawAsRadio

    public boolean getDrawAsRadio()

### gtk_toggle_action_get_type

    protected static final int gtk_toggle_action_get_type()

### gtk_toggle_action_new

    protected static final Handle gtk_toggle_action_new(java.lang.String name,
                                                        java.lang.String label,
                                                        java.lang.String tooltip,
                                                        java.lang.String stockId)

### gtk_toggle_action_toggled

    protected static final void gtk_toggle_action_toggled(Handle action)

### gtk_toggle_action_set_active

    protected static final void gtk_toggle_action_set_active(Handle action,
                                                             boolean isActive)

### gtk_toggle_action_get_active

    protected static final boolean gtk_toggle_action_get_active(Handle action)

### gtk_toggle_action_set_draw_as_radio

    protected static final void gtk_toggle_action_set_draw_as_radio(Handle action,
                                                                    boolean radio)

### gtk_toggle_action_get_draw_as_radio

    protected static final boolean gtk_toggle_action_get_draw_as_radio(Handle action)